# Sink

## Sink Service

class designate.sink.service.Service

  Bases: `Service`

  static get_allowed_event_types(handlers)

    Build a list of all allowed event types.

  info(context, publisher_id, event_type, payload, metadata)

    Processes an incoming notification, offering each extension the opportunity to handle it.

  static init_extensions()

    Loads and prepares all enabled extensions

  property service_name
  start()

    Start a service.

  stop(graceful=True)

    Stop a service.

    Parameters:

      graceful – indicates whether to wait for all threads to finish or terminate them instantly

this page last updated: 2026-08-19 02:25:39

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug